/* groups.c - Manage groups */

#include "mpi.h"

MPI_GROUP MPIR_CreateGroup( np )
int np;
{
    MPIR_GROUP *new;
    int        i;

    new = NEW(MPIR_GROUP);

    new->np             = np;
    new->lrank_to_grank = (uint32 *) MALLOC( np * sizeof(uint32) );

    for (i=0; i<np; i++) 
	new->lrank_to_grank[i] = -1;

    return new;
}

void MPIR_FreeGroup( group )
MPIR_GROUP *group;
{
FREE( group->lrank_to_grank );
FREE( group );
}

void MPIR_SetToIdentity( g )
MPI_GROUP g;
{
    int np, i;

    np = g->np;
    for (i=0; i<np; i++) 
	g->lrank_to_grank[i] = -1;
}
